Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	cross-platform multimedia library
Name:		allegro
Version:	4.2.2
Release:	2
License:	GNU/GPL 
URL:		http://alleg.sourceforge.net
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
Patch0:		allegro-4.2.1-allegro-config.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	alsa-lib-devel esound-devel arts-devel sed
BuildRequires:  mesa-libGL-devel mesa-libGLU-devel
BuildRequires:  libXrandr-devel startup-notification-devel
BuildRequires:  libXext-devel libX11-devel libXtst-devel libXxf86vm-devel
BuildRequires:  libXxf86dga-devel libXxf86misc-devel libXi-devel
BuildRequires:  libXrender-devel libXinerama-devel libdmx-devel libXp-devel
Requires:	alsa-lib esound arts
Obsoletes:	%{name}-man


%description
cross-platform multimedia library

%package devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}
%patch0 

%build
./configure --prefix=%_prefix --mandir=%_mandir --datadir=%_datadir --infodir=%_infodir \
	--enable-mxx --enable-sse --enable-ossdigi --enable-ossmidi \
	--enable-alsadigi --enable-alsamidi --enable-esddigi \
	--enable-artsdigi --with-x --enable-xwin-shm --enable-xwin-vidmode \
	--enable-xwin-dga --enable-xwin-dga2 --enable-fbcon --enable-shared=yes 
make -j1 CFLAGS="${CFLAGS}"

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install install-gzipped-man install-gzipped-info 
ln -s liballeg-%{version}.so %{buildroot}%_libdir/liballeg.so

%files
%defattr(-,root,root)
%_bindir/dat
%_bindir/dat2c
%_bindir/dat2s
%_bindir/exedat
%_bindir/grabber
%_bindir/pack
%_bindir/pat2dat
%_bindir/rgbmap
%_bindir/textconv
%_bindir/colormap
%_libdir/allegro
%_libdir/liballeg-*.*.*.so
%_libdir/liballeg.so.*
%_infodir
%_mandir


%files devel
%defattr(-,root,root)
%_bindir/allegro-config
%_includedir
%_libdir/*.a
%_libdir/liballeg.so
%_datadir/aclocal

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Apr 24 2008 Christian Metzen <metzench@ccux-linux.de> 4.2.2-2
- obsolete man subpackage
* Tue Oct 30 2007 Stefan Gottwald <gotti@ccux-linux.de> 4.2.2-1
- Version update
* Sun Nov 26 2006 Stefan Gottwald <gotti@ccux-linux.de> 4.2.1-1
- version update
* Sat Dec 03 2005 Stefan Gottwald <gotti@ccux-linux.de> 4.1.18-1
- Initial Release
